petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatReuse

Indicates if matrices obtained from a previous call to MatGetSubMatrices() or MatGetSubMatrix() are to be reused to store the new matrix values. For MatConvert() is used to indicate that the input matrix is to be replaced with the converted matrix.

### Synopsis

    typedef enum {MAT_INITIAL_MATRIX,MAT_REUSE_MATRIX,MAT_IGNORE_MATRIX,MAT_INPLACE_MATRIX} MatReuse;

Many br

Any additions/changes here MUST also be made in include/petsc/finclude/petscmat.h Many br

### See Also

MatGetSubMatrices(), MatGetSubMatrix(), MatDestroyMatrices(), MatConvert()

Level:beginner
Location:src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages